Subject: Re: [PATCH v2 2/2] send-email: add test for duplicate utf8 name

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 20 Jun 2013 15:53:29 +0300

On Thu, Jun 20, 2013 at 02:48:15PM +0200, Thomas Rast wrote:
> "Michael S. Tsirkin" <[email-masked]> writes:
> 
> > On Thu, Jun 20, 2013 at 02:41:37PM +0200, Thomas Rast wrote:
> >> "Michael S. Tsirkin" <[email-masked]> writes:
> >> 
> >> > Verify that author name is not duplicated if it matches
> >> > sender, even if it is in utf8.
> >> 
> >> Small nit: if you make two patches out of it, add the tests first with
> >> test_expect_failure.  Then flip it to test_expect_success in the actual
> >> code change.  That makes it easy to verify that the test actually checks
> >> the right thing, and that it was your code change that fixed it.
> >
> > I did this by reverting 1/2 and rerunning.
> >
> > But applying in reverse order means bisect can give us
> > a setup where some tests fail, I thought it's a
> > good idea to avoid that.
> 
> That's why you need to test_expect_*failure* in the commit that adds the
> tests -- essentially saying "I know this is broken!".
> 
> Yes, it's a roundabout way.  But splitting code and tests in the way you
> just posted is equally roundabout, while not having the benefit that one
> can check out the commit at patch 1 and verify that it is indeed broken
> (showing up as "still have known breakage").

I'll try to do it like this next time, I hope for now Junio
can take it as is.

> -- 
> Thomas Rast
> trast@{inf,student}.ethz.ch